/*
 * Linker script for Intel(R) StrongARM(R) Eval Boards
 *
 * Intel is a Registered Trademark of Intel Corporation.
 * StrongARM is a Registered Trademark of Advanced RISC Machines Limited.
 * ARM is a Registered Trademark of Advanced RISC Machines Limited.
 * Other Brands and Trademarks are the property of their respective owners.
 */
OUTPUT_FORMAT("coff-arm-little")
SECTIONS
{
  .text : {
    __ftext = . ;

    *(.rom_vec)      /* ROM vectors */
    *(.rom_vectors)  /* ROM vectors */
    *(.init)
    *(.text)
    *(.glue_7t)
    *(.glue_7)
    *(.rdata)
     ___CTOR_LIST__ = .; __CTOR_LIST__ = . ;
                        LONG (-1); *(.ctors); *(.ctor); LONG (0);
     ___DTOR_LIST__ = .; __DTOR_LIST__ = . ;
                        LONG (-1); *(.dtors); *(.dtor);  LONG (0);
    *(.fini)

    __etext = .;
  }

  . = ALIGN(8);
  __rom_data_start = .;

  .data : AT( __rom_data_start ) {
    __ram_data_start = . ;

    *(.ram_vec)      /* RAM vectors */
    *(.ram_vectors)  /* RAM vectors */
    *(.vectors)
    *(.data)

    __ram_data_end = .;
  }

  .bss : {
    __bss_start = . ;

    *(.bss)
    *(COMMON)

    __bss_end = . ;
  }
  end = .;
  __end = .;

  . = ALIGN(0x4000);
  /*
   * Make sure we are on a 16K boundary
   */
  .arm_page_table :
  {
    *(.arm_pag*)
  }

  .stab  0 (NOLOAD) :
  {
    [ .stab ]
  }
  .stabstr  0 (NOLOAD) :
  {
    [ .stabstr ]
  }
}

