/*
 * ARM is a Registered Trademark of Advanced RISC Machines Limited.
 * Other Brands and Trademarks are the property of their respective owners.
 */
#if !defined(__CPU_INFO_H__)

#define __CPU_INFO_H__ 1

#define IS_ARM 1

typedef unsigned int uint32 ;
typedef int          int32;

/* Temporary as long a multiple protypes are copied in multiple files */
/* This variation does NOT clone the prototypes */
#define NO_MALLOC 1
#define MAX_NUM_BP 32
#define MAX_HIST_ENTS 10

typedef int regnames_t;

/* big enuf to store a trap in the BP structure */

#define BP_INST_T_DEFINED 1 
typedef unsigned long bp_inst_t ;

#define MEM_ADDR_DEFINED 1 
typedef struct mem_addr {
  unsigned long addr;
} mem_addr_t ;

typedef unsigned int target_register_t;

#ifndef __LITTLE_ENDIAN__
#define BIG_ENDIAN_TARGET
#undef  LITTLE_ENDIAN_TARGET
#define PRINT_INSN print_insn_big_arm
#else
#define LITTLE_ENDIAN_TARGET
#undef  BIG_ENDIAN_TARGET
#define PRINT_INSN print_insn_little_arm
#endif

#define OTHERNAMES_CMD arm_othernames
extern void arm_othernames (void);

#undef BFD_MACH
#define BFD_MACH 0

#endif
