/* Minimum BFD header for the opcodes library sources
 *
 * Copyright (c) 1997, 1998, 1999 Cygnus Solutions
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 */

#ifndef BFD_H
#define BFD_H
#define EMBEDDED_ENV 1
#include <ansidecl.h>

#ifdef HAVE_BSP
#include "cpu_info.h"
#endif
#include "board.h" 

/* Enough dummy code to get the disassembler to compile. */

typedef unsigned int bfd_size_type  ;
typedef void * file_ptr ;
typedef struct elfsection asection ;

typedef long bfd_vma;

/* added for mips */
typedef long bfd_signed_vma ;

struct bfd_hash_entry { void * dummy ; } ;
struct bfd_hash_table { void * crashdummy ; };
typedef enum  { false , true } boolean ;


typedef unsigned char bfd_byte;

enum bfd_flavour {
  bfd_target_unknown_flavour,
  bfd_target_coff_flavour,
  bfd_target_elf_flavour,
};

#if defined(__ELF__)
#define bfd_asymbol_flavour(x) (bfd_target_elf_flavour)
#else
/*
 * Assume COFF.
 * If we ever support anything other than COFF or ELF
 * we will need to fix this
 */
#define bfd_asymbol_flavour(x) (bfd_target_coff_flavour)
#endif

typedef unsigned long bfd_target;
struct bfd_link_info;
typedef unsigned long bfd_reloc_code_real_type;
typedef unsigned long flagword;
typedef unsigned long reloc_howto_type;
typedef unsigned long alent;
typedef unsigned long sec_ptr;
typedef unsigned long bfd_print_symbol_type;
typedef unsigned long symbol_info;
typedef unsigned long arelent;
typedef unsigned long bfd_reloc_status_type;
struct symbol_cache_entry;
struct ecoff_debug_info;


enum bfd_architecture {
  bfd_arch_sparc
#define bfd_mach_sparc			1
 /* The difference between v8plus and v9 is that v9 is a true 64 bit env.  */
#define bfd_mach_sparc_sparclet	2
#define bfd_mach_sparc_sparclite	3
#define bfd_mach_sparc_v8plus		4
#define bfd_mach_sparc_v8plusa		5  /* with ultrasparc add'ns */
#define bfd_mach_sparc_v9		6
#define bfd_mach_sparc_v9a		7  /* with ultrasparc add'ns */
};

enum bfd_endian {
  BFD_ENDIAN_BIG, BFD_ENDIAN_LITTLE
};

typedef struct asymbol {
    unsigned long the_bfd;
} asymbol;

typedef struct bfd {
} bfd;

extern unsigned long bfd_getb32 (const unsigned char *p);
extern unsigned long bfd_getl32 (const unsigned char *p);
extern unsigned long bfd_getb16 (const unsigned char *p);
extern unsigned long bfd_getl16 (const unsigned char *p);

extern void bfd_putb16 (unsigned long data, unsigned char *addr);
extern void bfd_putl16 (unsigned long data, unsigned char *addr);
extern void bfd_putb32 (unsigned long data, unsigned char *addr);
extern void bfd_putl32 (unsigned long data, unsigned char *addr);

extern void sprintf_vma(void *s, bfd_vma x);

#endif
