/*
 * Generic board definitions
 *
 * Copyright (c) 1997 Cygnus Solutions
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 */

#ifndef _M2EP_MON_H
#define _M2EP_MON_H
#include <monitor_cmd.h>
#include <template-mon.h>

/* If your port supplies the timer functions, define HAS_TIMER */
/* #define HAS_TIMER */

#ifndef ASM

/* Any target-specific commands would go here. These are just samples. */
extern int flashcmd (cmdmode_t mode);
extern int checksumcmd (cmdmode_t mode);

#define TARGET_COMMANDS \
{NULL,  "flash", flashcmd},\
{NULL,  "crc", checksumcmd},

/* Initialize any processor-specific code. */
extern void initialize_mon (void);

/* If there are target-specific syscalls, define TARGET_SYSCALLS and
   the target_syscalls function. */
/* 
#define TARGET_SYSCALLS
extern int target_syscalls (int syscall_number);
*/

#endif

#endif
