#include <stdlib.h>
#include <ziphdr.h>

/* Support for embedded decompression using inflate.c. */

unsigned char *window = NULL;
unsigned long inptr = 0;
unsigned long outcnt = 0;
unsigned long insize = 0;
unsigned char *inbuf = 0;
unsigned long totbytes = 0;
unsigned char *destOut = NULL;

/* Given DATA which points to the start of a gzipped image of SIZE bytes,
   decompress the data into DEST. */

void
initUnzip (char *data, unsigned long size, char *dest)
{
  data += 2 + 2 + 4 + 2;
  insize = size;
  inbuf = data;
  outcnt = 0;
  inptr = 0;
  totbytes = 0;
  destOut = dest;
  window = malloc (WSIZE);
}

/* Miscellaneous support routines. */
void
flush_window ()
{
  memcpy (destOut + totbytes, window, outcnt);
  totbytes += outcnt;
  outcnt = 0;
}

void
put_char (unsigned char c)
{
  window[outcnt++] = c;
  if (outcnt >= WSIZE)
    flush_window ();
}

unsigned char
get_byte ()
{
  if (inptr < insize)
    return inbuf[inptr++];
  inbuf += inptr;
  inptr = 0;
  return *inbuf;
}
